Package com.documentum.fc.client.search

# Interface IDfSearchOperation

public interface IDfSearchOperation
This interface defines the set of operations available for a search

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SEARCH_OP_BEGINS_WITH`
  Search operation: Begins with (7).
  `static final int`
  `SEARCH_OP_BETWEEN`
  Search operation: Between (13).
  `static final int`
  `SEARCH_OP_CONTAINS`
  Search operation: Contains (8).
  `static final int`
  `SEARCH_OP_DOES_NOT_CONTAIN`
  Search operation: Does not contain (9).
  `static final int`
  `SEARCH_OP_ENDS_WITH`
  Search operation: Ends with (10).
  `static final int`
  `SEARCH_OP_EQUAL`
  Search operation: Equal (1).
  `static final int`
  `SEARCH_OP_GREATER_EQUAL`
  Search operation: Greater or equal (5).
  `static final int`
  `SEARCH_OP_GREATER_THAN`
  Search operation: Greater than (3).
  `static final int`
  `SEARCH_OP_IN`
  Search operation: In (11).
  `static final int`
  `SEARCH_OP_IS_NOT_NULL`
  Search operation: Is not null (15).
  `static final int`
  `SEARCH_OP_IS_NULL`
  Search operation: Is null (14).
  `static final int`
  `SEARCH_OP_LESS_EQUAL`
  Search operation: Less or equal (6).
  `static final int`
  `SEARCH_OP_LESS_THAN`
  Search operation: Less than (4).
  `static final int`
  `SEARCH_OP_NOT_EQUAL`
  Search operation: Not Equal (2).
  `static final int`
  `SEARCH_OP_NOT_IN`
  Search operation: Not in (12).
  `static final int`
  `SEARCH_OP_RANGE_END`
  Marks the end of the range of valid search operation codes.
  `static final int`
  `SEARCH_OP_RANGE_START`
  Indicates the beginning of the range for valid search operation codes.
  `static final int`
  `SEARCH_OP_UNDEFINED`
  Undefined search operation.

- ## Field Details

  - ### SEARCH_OP_UNDEFINED

    static final int SEARCH_OP_UNDEFINED
    Undefined search operation.
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_RANGE_START

    static final int SEARCH_OP_RANGE_START
    Indicates the beginning of the range for valid search operation codes.
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_EQUAL

    static final int SEARCH_OP_EQUAL
    Search operation: Equal (1).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_NOT_EQUAL

    static final int SEARCH_OP_NOT_EQUAL
    Search operation: Not Equal (2).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_GREATER_THAN

    static final int SEARCH_OP_GREATER_THAN
    Search operation: Greater than (3).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_LESS_THAN

    static final int SEARCH_OP_LESS_THAN
    Search operation: Less than (4).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_GREATER_EQUAL

    static final int SEARCH_OP_GREATER_EQUAL
    Search operation: Greater or equal (5).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_LESS_EQUAL

    static final int SEARCH_OP_LESS_EQUAL
    Search operation: Less or equal (6).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_BEGINS_WITH

    static final int SEARCH_OP_BEGINS_WITH
    Search operation: Begins with (7).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_CONTAINS

    static final int SEARCH_OP_CONTAINS
    Search operation: Contains (8).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_DOES_NOT_CONTAIN

    static final int SEARCH_OP_DOES_NOT_CONTAIN
    Search operation: Does not contain (9).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_ENDS_WITH

    static final int SEARCH_OP_ENDS_WITH
    Search operation: Ends with (10).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_IN

    static final int SEARCH_OP_IN
    Search operation: In (11).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_NOT_IN

    static final int SEARCH_OP_NOT_IN
    Search operation: Not in (12).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_BETWEEN

    static final int SEARCH_OP_BETWEEN
    Search operation: Between (13).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_IS_NULL

    static final int SEARCH_OP_IS_NULL
    Search operation: Is null (14).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_IS_NOT_NULL

    static final int SEARCH_OP_IS_NOT_NULL
    Search operation: Is not null (15).
    See Also:
      - Constant Field Values

  - ### SEARCH_OP_RANGE_END

    static final int SEARCH_OP_RANGE_END
    Marks the end of the range of valid search operation codes.
    See Also:
      - Constant Field Values